package mvd.jester;

import mvd.jester.model.SystemSetup;
import mvd.jester.priority.EarliestDeadlineFirst;
import mvd.jester.priority.RateMonotonic;
import mvd.jester.tests.ChwaLee;


/**
 * Hello world!
 *
 */
public class App {
    public static void main(String[] args) {
        SystemSetup.Builder builder = new SystemSetup.Builder().setNumberOfProcessors(8);
        TestEnvironment te = new TestEnvironment(builder, 40000);

        te.registerSchedulingAlgorithm(new RateMonotonic());
        te.registerSchedulingAlgorithm(new EarliestDeadlineFirst());

        te.registerTest(mvd.jester.tests.SchmidMottok.class);
        te.registerTest(mvd.jester.tests.MaiaBertogna.class);
        te.registerTest(mvd.jester.tests.ChwaLee.class);

        // te.registerSimulator(mvd.jester.simulator.MaiaBertogna.class);
        // te.registerSimulator(mvd.jester.simulator.SchmidMottok.class);


        te.runTests();

        // SystemSetup setup = SystemSetup.readFromFile(
        // "/home/mike/Promotion/projects/eclipse/jester/results/test_this.txt", 16);

        // SchmidMottok sm = new SchmidMottok(setup);
        // MaiaBertogna mb = new MaiaBertogna(setup);
        // RateMonotonic rm = new RateMonotonic();

        // sm.runSchedulabilityCheck(rm);
        // mb.runSchedulabilityCheck(rm);
    }
}
